%ext ck6
%egahead EGAHEAD.CK6
%egadict EGADICT.CK6
%maphead maphead.ck6
%patchfile $1ED50 "STORY.ck6"
%patchfile $25212 "Keen10.tli"

#To patch AUDIODCT.CK4:
%patchfile $36EEE "AUDIODCT.CK6"

#To patch AUDIOHED.CK4:
%patchfile $20C50 "AUDIOHED.CK6"

#Item text
%patch $312EB "CHIP" $00

%patch $31301 "JARS " $00

%patch $30F95 "    Exit to Zenux    "

#Level 0 name
%patch $1EF40 "     Zenux     " $00
%patch $1F110 " Keen aims  " $0A "planet Zenux " $00

#Level 1 name
%level.name 1 Central Workshop
%patch $1F130 "Keen repairs in the" $0A "Central Workshop" $00

#Level 2
%patch $1EF70 "Computer Room " $00
%patch $1F160 "Keen storms into the" $0A
               "Computer Room" $00

#Level 3
%level.name 3 Zenuxian Ringdom
%patch $1F190 "Keen shines in the" $0A
               "Zenuxian Ringdom" $00

#Level 4 name
%level.name 4 Toxic Good Store
%patch $1F1C0 "Keen gets corrosive" $0A
              "in the Toxic Good Store" $00

#Level 5 name
%level.name 5 The Laboratory
%patch $1F1F0 "Keen experiments" $0A
              "in the Laboratory" $00
              "           " $00

#Level 6 name
%patch $1EFD0 "Laser Zone" $00
%patch $1F220 "Keen smashes through" $0A
              "the Laser Zone" $00

#Level 7 name
%patch $1EFF0 "The Palace" $00
%patch $1F250 "Keen enters the Palace" $00
              

#Level 8 name
%patch $1F000 "Pyramid of Zenux" $00
%patch $1F270 "Keen finally finds" $0A
              "the Pyramid of Zenux" $00

#Level 9 name
%patch $1F020 "Secret Hideout" $0A
%patch $1F2A0 "Keen discovers the" $0A
              "Secret Hideout" $00
              
#Level 10 name
%patch $1F030 "Beat-With-Boxing" $0A
              "Megarocket" $00 

%patch $1F2D0 "Keen fights" $0A
              "Collapser Keen" $0A
              "at the Beat-With-" $0A
              "Boxing Megarocket" $00
 
%patch $12E80  $34E2W #Text called from
%patch $34212 "GAMEMAPS.CK6" $00

#Skip creature question 
%patch $1CC88 $90 $90

%patchfile $1fca7 ck6load.bin 

#Terminator text palette:
%patch $30E7C $00 $1F $1F $07 $01 $01 $01 $01   #Dark colors
              $11 $11 $11 $11 $13 $13 $13 $13 $00 #Light colors (and border color)

#Fix Molly's spawn height:
%patch $1009B $FEF0W

#Stop Flect reflecting Keen's shot
%patch $11C1B $EB $04	

#Gik harmless to Keen, pushes him
%patch $1112E $06
%patch $333C0 $00000000L
%patch $333DE $00000000L
%patch $333FC $00000000L
%patch $33348 $0EFC0006RL
%patch $33366 $0EFC0006RL
%patch $33384 $0EFC0006RL	

#Red Blooglet walking
%patch $32DC6 $0040W $0000W
%patch $32DE4 $0040W $0000W
%patch $32E02 $0040W $0000W
%patch $32E20 $0040W $0000W

#Yellow Blooglet
%patch $32E5C $0040W $0000W
%patch $32E7A $0040W $0000W
%patch $32E98 $0040W $0000W
%patch $32EB6 $0040W $0000W

#Blue Blooglet
%patch $32EF2 $0040W $0000W
%patch $32F10 $0040W $0000W
%patch $32F2E $0040W $0000W
%patch $32F4C $0040W $0000W

#Green Blooglet
%patch $32F88 $0040W $0000W
%patch $32FA6 $0040W $0000W
%patch $32FC4 $0040W $0000W
%patch $32FE2 $0040W $0000W

#Babobba doesn't nap
%patch $1217C $2F84W

#Babobba doesn't shoot
%patch $1218D $EB

#Flags are always sitting - Keen 6
%patch $5F0F $EB	

#Don't show Rope or Rocket card
%patch $7C9C $EB $60
%patch $7C58 $000AW #Width
%patch $7C60 $0087W #Horizontal position
%patch $7C7B $0088W #Horizontal position if got
%patch $7C91 $0088W #Horizontal position if not got

#Ceilick's face unkillalbe and safe
%patch $3406A $00000000L
%patch $34088 $00000000L
%patch $340A6 $00000000L
%patch $340C4 $00000000L
%patch $340E2 $00000000L
%patch $34100 $00000000L
%patch $3411E $00000000L
%patch $3413C $00000000L
%patch $3415A $00000000L	

#Orbatrix doesn't curl
%patch $11590 $5F $5E $5D $CB

#Keen can always use the Bloogstar Rocket
%patch $F6EE $E9 $00B0W

#Nospike
%patch $331AE $012FW $012BW
%patch $331B8 $0004W

%patch $331CC $0130W $012CW
%patch $331D6 $0004W

%patch $331EA $0131W $012DW
%patch $331F4 $0004W

%patch $33208 $0132W $012EW
%patch $33212 $0004W

#Blorb floating v speeds
%patch $33EA0 $0000W $0008W
%patch $33EBE $0000W $0008W
%patch $33EDC $0000W $0008W

#Gik never attacks Keen or follows him
%patch $33344 $00000000L
%patch $33362 $00000000L
%patch $33380 $00000000L	

#Fleex\Nospike strengths
%patch $10D35 $0001W #Nospike
%patch $11D6F $0006W #Fleex	

#Crashed Bipship doesn't spawn a Bip
%patch $11AAA $5E $5D $CB	

#Keen's head appears on the left side of both windows
%patch $F58A $00D0W
%patch $F599 $D0
%patch $F630 $00D0W
%patch $F63F $D0	


#################################
#BLOOGUARD: COLLAPSER KEEN	#
#################################

#Molly doesn't win the game
%patch $1007F $01

#Shoot Blooguard 45 times to win game
%patch $1094D $002DW
%patch $10A16 $C7 $06 $75ACW  $000CW $5F $5E $5D $CB

#Bobba never shoots
%patch $11ED3 $EB $78

#Blooguard doesn't club the ground
%patch $109B5 $EB

#Blooguard spawn height
%patch $1091E $FF20W

#No impossible bullet
%patch $BE7A $EB

#Gik walking speed, now 50% faster
%patch $33340 $00C0W $0000W
%patch $3335E $00C0W $0000W
%patch $3337C $00C0W $0000W	

#Bloog harmless
%patch $108CC $EB	

#Disable Grabbiter fed window
%patch $F5FF $EB $6B

#Bobba doesn't turn around if shot
%patch $12021 $EB

#Fleex just chases Keen
%patch $11D82 $EB	

#Grabbiter Text
%patch $3301A "       "
%patch $33022 " It seems this  "
%patch $33033 "security door needs"
%patch $33047 "    a chip.      "
%patch $33059 "                       "

#Walking Flect doesn't chase Keen
%patch $33922 $00000000L
%patch $33940 $00000000L
%patch $3395E $00000000L
%patch $3397C $00000000L	

#Orb tries to keep away from Keen:
%patch $1158B $FF $FF
%patch $11586 $01 $00

#Cannot warp to High scores level
%patch $75B9 $11

#Text
%patch $31250 " Warp to which level(1-10):" $00

#Flect doesn't push Keen
%patch $11C06 $EB	

#Don't play high score demo in demo loop - Keen 6
%patch $3C32 $90 $90 $90 $90 $90
%patch $3C5E $90 $90 $90 $90 $90

#Bobba jumps vertically only
%patch $11FDE $18

#Bobba jump speeds
%patch $11FE2 $FFC0W #Height

#Bipship doesn't shoot
%patch $118E4 $90 $90

#Nospike never moves
%patch $331AC $2460W

#Nospike doesn't charge when shot
%patch $10E97 $57 $9A $0CA60EC2RL    $83 $C4 $02 $5F $5E $5D $CB	

#Nospike is a 10'000 point item
%patch $10E5A $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $1D #Check for Keen's shot (Type 3)
              $B8 $2710W  $50 $9A $069A1F06RL $83 $C4 $02 $C7 $44 $1C $247EW  #Change action to Nospikegot, give 10000
              $B8 $0008W  $50 $9A $183B09F1RL $83 $C4 $02 $5F $5E $5D $CB     #Play sound

#10'000 point action =$247EW
%patch $331AE $013CW $013CW $0001W $0000W $0000W $0048W $0000W $FFF8W
              $00000000L    $00000000L    $08F4180ARL   $0000W

#Set Nospike as item
%patch $10CE3 $0003W
%patch $10D15 $06 $0000W
%patch $331A8 $08F4180ARL
%patch $33194 $0002W	

#Pink shots can be destroyed by Keen's shots
%patch $11463 $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $07 $9A $0AA213CARL
                  $EB $05 $83 $3C $03 $75 $07 $B8 $27AAW  $50 $E9 $013CW  $5E $5D $CB

#BwB levels: all levels above 15
%patch $5ECD $0F $77

#No Keen portrait - Bloogstar Rocket pass
%patch $EF6D $EB $19

#Cannot warp past level 10
%patch $75B9 $0A

#Grappling Hook Text
%patch $33139 "I don't wanna go  "
%patch $3314C "   back now!     "
%patch $3315E "                   "
%patch $325E7 "               "
%patch $325F7 "               "
%patch $32607 "                 "

#Bloogstar Rocket Text
%patch $3261A "Collapser Keen has" $0A
              "kidnapped Martinez" $0A
              "McMeyer and banished" $0A
              "him to the Basement!" $0A
              "    Go save him!   " $0A $00

#Sandwich Text
%patch $325B6 "A chip! I can now "
%patch $325C9 "go to the space "
%patch $325DA "station!   "

#Center Rocket Pass text
%patch $EF8C $00	

#Keen's portrait is on the left in the sandwhich window
%patch $EE61  $00D0W #Rightwards location of Keen's head bitmap
%patch $EE70  $D0    #Leftwards location of text

#Keen's portrait is on the left in the cliff window
%patch $FBE3  $00D0W #Rightwards location of Keen's head bitmap
%patch $FBF2  $D0    #Leftwards location of text	

#F10-I cheat doesn't give: 
%patch $7331 $90 $90 $90 #Grappling hook
%patch $7334 $90 $90 $90 #Rocket card

#Keen cannot ride the Satellite, it doesn't move
%patch $329CE $00000000L
%patch $329EC $00000000L
%patch $32A0A $00000000L
%patch $32A28 $00000000L	

#Bipship doesn't bounce at all
%patch $11803 $10 $0000W
%patch $3378C $0112W $010DW $0001W $0000W $0000W $0014W $0010W $0010W
              $00000000L    $10CC0DFDRL   $11CF0735RL   $2A5CW

#Rocket Pass uses new collision
%patch $32A86 $10CC0BD4RL

#New collision: give card, don't exit level
%patch $11894 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $0F
              $C7 $44 $1C $0000W  $9A $0E420B18RL     $9A $16080E88RL $5F $5E
              $5D $CB	

#Music
%patch $3103E $05 $00 $08 $00 $00 $00 $01 $00 $00 $00 $07 $00 $04 $00 $08 $00 $01 $00 $06 $00 $02 $00 $05 $00 $05 $00 $05 $00 $05 $00 $05 $00 $05 $00 $05 $00 $03 $00 

%patch $563F $0009W #Star wars text music
%patch $E33C $0005W #Molly ending (Faster)

%patch $30F12 " Record a demo from level(0-11):" $00
	
%end